Bug 6700 - Better handling of version numbers in updatedatabase
Summary: Better handling of version numbers in updatedatabase
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P3 normal (vote)
Assignee: Marcel de Rooy
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-10 14:35 UTC by Marcel de Rooy
Modified: 2012-10-25 23:09 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Signed patch of Chris (test for XXX version) (2.26 KB, patch)
2011-08-10 14:36 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Patch for updatedatabase (1.95 KB, patch)
2011-08-10 14:57 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Signed off patch for updatedatabase (1.97 KB, patch)
2011-11-04 08:15 UTC, Julian Maurice
Details | Diff | Splinter Review
Signed patch of Chris (test for XXX version) (1.47 KB, patch)
2011-12-19 13:18 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Signed patch of Chris (test for XXX version) (2.59 KB, patch)
2011-12-19 13:19 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2011-08-10 14:35:08 UTC
Attaching a patch of Chris for testing if XXX is in kohaversion.pl or updatedatabase.pl. Signed off that one.

Sending another patch of myself to assist while testing db revision patches. Currently, the XXX as added in the proposed patch generates an error in the version compare. Additionally, running SetVersion while testing the upgrade is annoying and not needed. In this testing stage you would like to keep your version number as is. The version number should of course be incremented when the patch is pushed. A simple test accomplishes that.
Comment 1 Marcel de Rooy 2011-08-10 14:36:21 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2011-08-10 14:57:16 UTC Comment hidden (obsolete)
Comment 3 Julian Maurice 2011-11-04 08:15:11 UTC
Created attachment 6183 [details] [review]
Signed off patch for updatedatabase

It works as expected: launching manually updatedatabase.pl causes the update for version XXX to be executed, and the Version syspref is not touched. And the installer is not launched when going to professional interface.
Signed off
Comment 4 Paul Poulain 2011-11-18 22:27:05 UTC
QA comment: there are 3 patches attached, it's not clear to me what must be applied...
I think there are 2: the 4939 and 6183
Julian, could you confirm you've forgotten to obsolete 4942 when signing-off and uploading 6183 ?
Comment 5 Marcel de Rooy 2011-11-19 12:06:14 UTC
(In reply to comment #4)
> QA comment: there are 3 patches attached, it's not clear to me what must be
> applied...
> I think there are 2: the 4939 and 6183
> Julian, could you confirm you've forgotten to obsolete 4942 when signing-off
> and uploading 6183 ?

I obsoleted the proposed second patch; so two signed patches remain.
Comment 6 Julian Maurice 2011-11-23 08:15:04 UTC
(In reply to comment #4)
> QA comment: there are 3 patches attached, it's not clear to me what must be
> applied...
> I think there are 2: the 4939 and 6183
> Julian, could you confirm you've forgotten to obsolete 4942 when signing-off
> and uploading 6183 ?

Yes, 6183 is the signed-off version of 4942
Comment 7 Jonathan Druart 2011-12-19 12:56:39 UTC
Passed QA for "Signed off patch for updatedatabase".

But t/00-checkdatabase-version.t test match pattern 'XXX' in updatedatabase.pl and this file always contains it (in functions TransformToNum and SetVersion)

Maybe we want match /^$DBversion.*XXX/
Comment 8 Marcel de Rooy 2011-12-19 13:18:08 UTC Comment hidden (obsolete)
Comment 9 Marcel de Rooy 2011-12-19 13:19:02 UTC
Created attachment 6869 [details] [review]
Signed patch of Chris (test for XXX version)

Oops wrong file..
Comment 10 Jonathan Druart 2011-12-19 13:36:51 UTC
Passed QA
Comment 11 Paul Poulain 2011-12-27 16:57:12 UTC
Patch pushed, please test